members.dev
Docs
Benefit usage

List Benefit Usages

Lists Benefit Usages

GET
/v1/benefit-usages

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Query Parameters

name?|

Filter by meter_event_name on the linked benefit (meter benefits).

member_ids?array<>|

Filter by one or more internal member IDs. Repeat the parameter for multiple members.

page?integer

Page number

Default1
Range1 <= value
size?integer

Page size

Default50
Range1 <= value <= 100

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://api.members.dev/portal/v1/benefit-usages"
{
  "items": [
    {
      "id": "string",
      "timestamp": 0,
      "benefit_id": "string",
      "benefit_grant_id": "string",
      "payload": {
        "value": 0
      },
      "external_id": "string",
      "reverses_benefit_usage_id": "string",
      "member_id": "string",
      "external_member_id": "string",
      "amount_allocated": 0,
      "allocation_status": "unallocated",
      "created_at": null,
      "updated_at": null
    }
  ],
  "total": 0,
  "page": 1,
  "size": 1,
  "pages": 0
}
{
  "type": "https://api.members.dev/errors/invalid_credentials",
  "title": "Invalid credentials",
  "status": 401,
  "detail": "Invalid API Key or token.",
  "code": "invalid_credentials"
}
{
  "type": "https://api.members.dev/errors/not_linked_to_tenant",
  "title": "Not linked to tenant",
  "status": 403,
  "detail": "Not linked to this tenant",
  "code": "not_linked_to_tenant"
}
{
  "type": "https://api.members.dev/errors/member_not_found",
  "title": "Member not found",
  "status": 404,
  "detail": "No member exists with the given id in this organization.",
  "code": "member_not_found"
}
{
  "type": "https://api.members.dev/errors/members_context_required",
  "title": "Members context required",
  "status": 422,
  "detail": "This client has multiple organizations. Send the Members-Context header with the organization id (org_…) for this request.",
  "code": "members_context_required"
}
{
  "type": "https://api.members.dev/errors/rate_limit_exceeded",
  "title": "Rate limit exceeded",
  "status": 429,
  "detail": "Rate limit exceeded",
  "code": "rate_limit_exceeded"
}